Bug 19450 - OverDrive integration failing on missing method
Summary: OverDrive integration failing on missing method
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Srdjan Jankovic
QA Contact: Testopia
URL:
Whiteboard:
Keywords: dependency
Depends on:
Blocks:
 
Reported: 2017-10-11 17:42 UTC by Nick Clemens
Modified: 2018-06-04 20:14 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19450: Fixed WebService::ILS bug upsteram (729 bytes, patch)
2017-10-12 00:47 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 19450: Fixed WebService::ILS bug upsteram (785 bytes, patch)
2017-12-04 20:50 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 19450: Fixed WebService::ILS bug upsteram (842 bytes, patch)
2017-12-21 11:48 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2017-10-11 17:42:42 UTC
After siging in to OverDrive:
Can't locate object method "_item_metadata" via package "WebService::ILS::OverDrive::Patron"
Comment 1 Srdjan Jankovic 2017-10-12 00:47:57 UTC
Created attachment 67986 [details] [review]
Bug 19450: Fixed WebService::ILS bug upsteram
Comment 2 Srdjan Jankovic 2017-10-12 00:49:31 UTC
Yes, creeped in when doing RecordedBooks. Fixed upstrean, will be available tomorrow probably. If critical, can provide patch.
Comment 3 rkuiper 2017-12-04 17:15:09 UTC
Hi, any progress on this bug?  Round Rock is eagerly looking forward to this function!
Comment 4 Nick Clemens 2017-12-04 20:50:30 UTC
Created attachment 69492 [details] [review]
Bug 19450: Fixed WebService::ILS bug upsteram

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Kyle M Hall 2017-12-21 11:48:44 UTC
Created attachment 70004 [details] [review]
Bug 19450: Fixed WebService::ILS bug upsteram

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Jonathan Druart 2017-12-21 16:23:44 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-01-15 13:15:22 UTC
Awesome work all! Pushed to stable for 17.11.02
Comment 8 Fridolin SOMERS 2018-01-15 15:23:13 UTC
Pushed to 17.05.x for v17.05.08